[PATCH 3/8] tests: add usage() to build.sh
Ilan Peer
ilan.peer
Sun Oct 26 00:06:30 PDT 2014
Signed-off-by: Ilan Peer <ilan.peer at intel.com>
---
tests/hwsim/build.sh | 7 ++++++-
1 file changed, 6 insertions(+), 1 deletion(-)
diff --git a/tests/hwsim/build.sh b/tests/hwsim/build.sh
index 4722483..fe33b9c 100755
--- a/tests/hwsim/build.sh
+++ b/tests/hwsim/build.sh
@@ -4,6 +4,11 @@ set -e
cd $(dirname $0)
+usage(){
+ echo "$0 [-c | --codecov] [-f | --force-config]"
+ exit 1
+}
+
use_lcov=0
force_config=0
while [ "$1" != "" ]; do
@@ -16,7 +21,7 @@ while [ "$1" != "" ]; do
force_config=1
echo "$0: force copy config specified"
;;
- * ) exit 1
+ * ) usage
esac
done
--
1.8.3.2
More information about the Hostap
mailing list